Name: libmcs
Version: 0.7.2
Release: 7%{?dist}

Summary: Configuration file abstraction library
Group: System Environment/Libraries
License: BSD
URL: http://www.atheme.org/project/mcs

Source0: http://distfiles.atheme.org/libmcs-%{version}.tbz2

BuildRequires: libmowgli-devel
BuildRequires: GConf2-devel
BuildRequires: doxygen
# would be needed for kconfig support
#BuildRequires: kdelibs-devel

%description
The Modular Config System is a library and a set of tools which abstract
the storage of configuration settings away from userland applications.
The optional tools are available in the libmcs-utils package.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.


%package devel
Summary: Development files for the libmcs configuration system
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the files necessary for building programs that
use libmcs.


%package utils
Summary: Configuration file abstraction system tools
Group: Applications/System
Requires: %{name}%{?_isa} = %{version}-%{release}

%description utils
This package contains a set of tools for the Modular Config System
library libmcs.


%prep
%setup -q

# Make the build system more verbose
#perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in
sed -i '\,^.SILENT:,d' buildsys.mk.in


%build
%configure \
    --enable-gconf \
    --disable-kconfig \
    --disable-dependency-tracking

make %{?_smp_mflags}
doxygen Doxyfile


%install
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"

# Example for a default site-wide storage backend setting:
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
#echo "gconf" > $RPM_BUILD_ROOT%{_sysconfdir}/mcs-backend
#chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/mcs-backend


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README TODO
#%config(noreplace) %{_sysconfdir}/mcs-backend
%{_libdir}/*.so.*
%{_libdir}/mcs/

%files devel
%doc doc/html
%{_libdir}/*.so
%{_includedir}/libmcs/
%{_libdir}/pkgconfig/libmcs.pc

%files utils
%{_bindir}/*


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan  5 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.2-6
- rebuild for GCC 4.7 as requested
- drop obsolete items from spec file

* Fri Sep 16 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.2-5
- Use %%_isa in subpackage dependencies.
- Drop unneeded BuildRoot stuff.
- Drop %%defattr lines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 16 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.2-3
- BR doxygen and include HTML documentation in -devel package
  (suggested by Martin Gieseking in rename review ticket #664963).

* Thu Dec 23 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.2-2
- Take the chance and let libmcs-utils depend on exact EVR of libmcs.

* Wed Dec 22 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2 (all patches merged).
- Rename packages from  mcs, mcs-devel, mcs-libs  to
  libmcs, libmcs-devel, libmcs-utils  to catch up with naming scheme
  of upstream tarballs, pkgconfig file and other packages.
- Get rid of Buildroot definition/creation/cleaning.
- SONAME fix no longer needed.

* Tue Dec 29 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.1-9
- Apply safety fix to keyfile set_string function.

* Thu Dec 24 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.1-8
- Apply safety fixes to string utility functions.

* Thu Dec 24 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.1-7
- Fix floating point exception in mcs-walk-config tool.

* Wed Dec 23 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.1-6
- Add --disable-kconfig to fix build requirements usage (#529696).
  The kconfig backend has never been built or included before.
- Fix MCS_SYSCONFDIR build config value, so /etc/mcs-backend file is found.
  Don't provide a default site-wide config file anymore. Making it default
  to "gconf" would switch backends for everyone from "default".

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun  5 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.1-4
- Rebuild for new libmowgli SONAME.

* Thu Jun  4 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7.1-3
- Add virtual Provides for libmcs/libmcs-devel.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 07 2008 Ralf Ertzinger <ralf@skytale.net> 0.7.1-1
- Update to 0.7.1

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.0-4
- Autorebuild for GCC 4.3

* Mon Nov 19 2007 Ralf Ertzinger <ralf@skytale.net> 0.6.0-3
- Fix incorrect SONAME for library
- Add libmowgli build requires

* Thu Nov 08 2007 Ralf Ertzinger <ralf@skytale.net> 0.6.0-1
- Update to 0.6.0

* Thu Apr 12 2007 Ralf Ertzinger <ralf@skytale.net> 0.4.1-3.fc7
- Mark config file as such

* Sun Apr 08 2007 Ralf Ertzinger <ralf@skytale.net> 0.4.1-2.fc7
- Add %%{_sysconfdir}/mcs-backend to select default storage backend as gconf

* Mon Apr 02 2007 Ralf Ertzinger <ralf@camperquake.de> 0.4.1-1.fc7
- Initial build for FE
